summaryrefslogtreecommitdiffstats
path: root/source/d/gdb/gdb.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-01-16 20:06:13 +0000
committer Eric Hameleers <alien@slackware.com>2020-01-17 08:59:48 +0100
commitb8fcfe2ae13259083561c5d03e82f5167838169e (patch)
tree1c6605b833f87de4151d12868e22a3b5f6c9aa5b /source/d/gdb/gdb.SlackBuild
parentb937aa98d3150b8ebcf0a11e935ed9f503e1855e (diff)
downloadcurrent-b8fcfe2ae13259083561c5d03e82f5167838169e.tar.gz
current-b8fcfe2ae13259083561c5d03e82f5167838169e.tar.xz
Thu Jan 16 20:06:13 UTC 202020200116200613
a/sed-4.8-x86_64-1.txz: Upgraded. d/gdb-8.3.1-x86_64-3.txz: Rebuilt. Patched to fix a warning that breaks Emacs GDB mode. Thanks to Lockywolf and USUARIONUEVO. d/guile-3.0.0-x86_64-1.txz: Upgraded. Shared library .so-version bump. d/make-4.2.1-x86_64-5.txz: Rebuilt. Recompiled against guile-3.0.0. l/libcap-2.31-x86_64-1.txz: Upgraded. l/python-six-1.14.0-x86_64-1.txz: Upgraded. n/gnutls-3.6.11.1-x86_64-2.txz: Rebuilt. Recompiled against guile-3.0.0. n/lftp-4.9.1-x86_64-1.txz: Upgraded. n/libmbim-1.22.0-x86_64-1.txz: Upgraded. n/libqmi-1.24.4-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/d/gdb/gdb.SlackBuild')
-rwxr-xr-xsource/d/gdb/gdb.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/d/gdb/gdb.SlackBuild b/source/d/gdb/gdb.SlackBuild
index 3dadf1001..8f7947f57 100755
--- a/source/d/gdb/gdb.SlackBuild
+++ b/source/d/gdb/gdb.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2016, 2017, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gdb
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -80,6 +80,9 @@ else
GUILE_OPTION="--with-guile"
fi
+# Fix for Python 3.8.x:
+zcat $CWD/gdb.python38.patch.gz | patch -p1 --verbose || exit 1
+
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \